#!/bin/bash 
# setpermissioni.sh
# vers. 1.0.4

###############################################################
# vers. 1.0.3 - 13 set 2007 unificata gest. demografici (edem)
# vers. 1.0.2 - 10 gen 2007 inserito stty -isig x non bloccare
#                           l'esecuzione dello script
#                           modificato permissioni a /sibac/aggiornamenti
# vers. 1.0.4 - 23 mar 2009 aggiunto re ss egit/cns egit/f24 egit/fit

stty -isig

# Verifico che l'utente che utilizza questo programma sia "root"
if test $(whoami) != "root"; then 
	echo -e "DEVI ESSERE ROOT!!"
	exit
fi

dir_variabili="/sibac/variabili"
if test -s $dir_variabili/dir_ambiente ; then
	dir_ambiente=`cat $dir_variabili/dir_ambiente` ; else
	/usr/bin/clear
	echo -e "Variabile d'ambiente 'dir_ambiente' non inizializzata!\n\n"
	echo -e "Inserire il nome della directory su cui si trova l'ambiente SIBAC 'ex: /sibac: \c"
	read variabile
	echo $variabile > $dir_variabili/dir_ambiente
	dir_ambiente=$variabile
fi

echo -e "Configuro permissioni $dir_ambiente \n"
cd /
echo -e "chown sibac.sibac sibac \n"
chown sibac.sibac sibac

echo -e "Configuro permissioni sottocartelle $dir_ambiente \n"
cd $dir_ambiente

######################################################################
# Elenco delle procedure SIBAC suddivise per area
######################################################################
prg_demografici="edem"
prg_segreteria="edeli eprot emess"
prg_tributi="egit"
prg_finanziaria="eb77"
prg_pagheeco="epag"
prg_paghegiu="erugg"
prg_commercio="elice"
prg_invcivili="icv"
prg_economato="eeco"
prg_rilpresenze="time"
prg_mutui="emut"
prg_cimiteriali="ecimi"
prg_rette="re"
prg_servsociali="ss"
######################################################################

for en in sibac $prg_rette $prg_servsociali $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui $prg_cimiteriali 
do
	echo -e "chown $en.sibac $en \n"
	cd $dir_ambiente
	chown $en.sibac $en
	cd $dir_ambiente/$en
	chown $en.sibac * */* */*/* */*/*/* 2>/dev/null
done

echo -e "chown -R sibac.sibac /sibac/aggiornamenti"
chown -R sibac.sibac /sibac/aggiornamenti

for en in sibac $prg_rette $prg_servsociali $prg_demografici $prg_segreteria $prg_tributi $prg_finanziaria $prg_pagheeco $prg_paghegiu $prg_commercio $prg_invcivili $prg_economato $prg_rilpresenze $prg_mutui $prg_cimiteriali 
do
	echo -e "chmod 770 $en \n"
	cd $dir_ambiente
	chmod 770 $en
	cd $dir_ambiente/$en
	chmod 770 * */* */*/* */*/*/* 2>/dev/null
	echo -e "chmod 777 $en/*.HTM"
	chmod 777 *.HTM */*.HTM */*/*.HTM */*/*/*.HTM 2>/dev/null
done
